package Color::Library::Dictionary::Netscape;

use strict;
use warnings;

use base qw/Color::Library::Dictionary/;

__PACKAGE__->_register_dictionary;

package Color::Library::Dictionary::Netscape;

=pod

=head1 NAME

Color::Library::Dictionary::Netscape - (Netscape) Colors recognized by Netscape

=head1 DESCRIPTION


"Netscape Color Names with their Color Values"

L<http://www.timestream.com/mmedia/graphics/colors/ns3names.txt>

=begin :html

=head1 COLORS

<table>
<tr><td style="border:1px solid #666; background:#70db93;width:4em;" /><td>aquamarine</td><td>aquamarine</td><td>##70db93</td><td>112</td> <td>219</td> <td>147</td>
</tr> <tr><td style="border:1px solid #666; background:#5c3317;width:4em;" /><td>baker'schocolate</td><td>bakerschocolate</td><td>##5c3317</td><td>92</td> <td>51</td> <td>23</td>
</tr> <tr><td style="border:1px solid #666; background:#000000;width:4em;" /><td>black</td><td>black</td><td>##000000</td><td>0</td> <td>0</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#0000ff;width:4em;" /><td>blue</td><td>blue</td><td>##0000ff</td><td>0</td> <td>0</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#9f5f9f;width:4em;" /><td>blueviolet</td><td>blueviolet</td><td>##9f5f9f</td><td>159</td> <td>95</td> <td>159</td>
</tr> <tr><td style="border:1px solid #666; background:#b5a642;width:4em;" /><td>brass</td><td>brass</td><td>##b5a642</td><td>181</td> <td>166</td> <td>66</td>
</tr> <tr><td style="border:1px solid #666; background:#d9d919;width:4em;" /><td>brightgold</td><td>brightgold</td><td>##d9d919</td><td>217</td> <td>217</td> <td>25</td>
</tr> <tr><td style="border:1px solid #666; background:#8c7853;width:4em;" /><td>bronze</td><td>bronze</td><td>##8c7853</td><td>140</td> <td>120</td> <td>83</td>
</tr> <tr><td style="border:1px solid #666; background:#a67d3d;width:4em;" /><td>bronzeii</td><td>bronzeii</td><td>##a67d3d</td><td>166</td> <td>125</td> <td>61</td>
</tr> <tr><td style="border:1px solid #666; background:#a62a2a;width:4em;" /><td>brown</td><td>brown</td><td>##a62a2a</td><td>166</td> <td>42</td> <td>42</td>
</tr> <tr><td style="border:1px solid #666; background:#5f9f9f;width:4em;" /><td>cadetblue</td><td>cadetblue</td><td>##5f9f9f</td><td>95</td> <td>159</td> <td>159</td>
</tr> <tr><td style="border:1px solid #666; background:#d98719;width:4em;" /><td>coolcopper</td><td>coolcopper</td><td>##d98719</td><td>217</td> <td>135</td> <td>25</td>
</tr> <tr><td style="border:1px solid #666; background:#b87333;width:4em;" /><td>copper</td><td>copper</td><td>##b87333</td><td>184</td> <td>115</td> <td>51</td>
</tr> <tr><td style="border:1px solid #666; background:#ff7f00;width:4em;" /><td>coral</td><td>coral</td><td>##ff7f00</td><td>255</td> <td>127</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#42426f;width:4em;" /><td>cornflowerblue</td><td>cornflowerblue</td><td>##42426f</td><td>66</td> <td>66</td> <td>111</td>
</tr> <tr><td style="border:1px solid #666; background:#00ffff;width:4em;" /><td>cyan</td><td>cyan</td><td>##00ffff</td><td>0</td> <td>255</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#5c4033;width:4em;" /><td>darkbrown</td><td>darkbrown</td><td>##5c4033</td><td>92</td> <td>64</td> <td>51</td>
</tr> <tr><td style="border:1px solid #666; background:#2f4f2f;width:4em;" /><td>darkgreen</td><td>darkgreen</td><td>##2f4f2f</td><td>47</td> <td>79</td> <td>47</td>
</tr> <tr><td style="border:1px solid #666; background:#4a766e;width:4em;" /><td>darkgreencopper</td><td>darkgreencopper</td><td>##4a766e</td><td>74</td> <td>118</td> <td>110</td>
</tr> <tr><td style="border:1px solid #666; background:#4f4f2f;width:4em;" /><td>darkolivegreen</td><td>darkolivegreen</td><td>##4f4f2f</td><td>79</td> <td>79</td> <td>47</td>
</tr> <tr><td style="border:1px solid #666; background:#9932cd;width:4em;" /><td>darkorchid</td><td>darkorchid</td><td>##9932cd</td><td>153</td> <td>50</td> <td>205</td>
</tr> <tr><td style="border:1px solid #666; background:#871f78;width:4em;" /><td>darkpurple</td><td>darkpurple</td><td>##871f78</td><td>135</td> <td>31</td> <td>120</td>
</tr> <tr><td style="border:1px solid #666; background:#241882;width:4em;" /><td>darkslateblue</td><td>darkslateblue</td><td>##241882</td><td>36</td> <td>24</td> <td>130</td>
</tr> <tr><td style="border:1px solid #666; background:#2f4f4f;width:4em;" /><td>darkslategrey</td><td>darkslategrey</td><td>##2f4f4f</td><td>47</td> <td>79</td> <td>79</td>
</tr> <tr><td style="border:1px solid #666; background:#97694f;width:4em;" /><td>darktan</td><td>darktan</td><td>##97694f</td><td>151</td> <td>105</td> <td>79</td>
</tr> <tr><td style="border:1px solid #666; background:#7093db;width:4em;" /><td>darkturquoise</td><td>darkturquoise</td><td>##7093db</td><td>112</td> <td>147</td> <td>219</td>
</tr> <tr><td style="border:1px solid #666; background:#855e42;width:4em;" /><td>darkwood</td><td>darkwood</td><td>##855e42</td><td>133</td> <td>94</td> <td>66</td>
</tr> <tr><td style="border:1px solid #666; background:#545454;width:4em;" /><td>dimgrey</td><td>dimgrey</td><td>##545454</td><td>84</td> <td>84</td> <td>84</td>
</tr> <tr><td style="border:1px solid #666; background:#856363;width:4em;" /><td>dustyrose</td><td>dustyrose</td><td>##856363</td><td>133</td> <td>99</td> <td>99</td>
</tr> <tr><td style="border:1px solid #666; background:#d19275;width:4em;" /><td>feldspar</td><td>feldspar</td><td>##d19275</td><td>209</td> <td>146</td> <td>117</td>
</tr> <tr><td style="border:1px solid #666; background:#8e2323;width:4em;" /><td>firebrick</td><td>firebrick</td><td>##8e2323</td><td>142</td> <td>35</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#f5ccb0;width:4em;" /><td>flesh</td><td>flesh</td><td>##f5ccb0</td><td>245</td> <td>204</td> <td>176</td>
</tr> <tr><td style="border:1px solid #666; background:#238e23;width:4em;" /><td>forestgreen</td><td>forestgreen</td><td>##238e23</td><td>35</td> <td>142</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#cd7f32;width:4em;" /><td>gold</td><td>gold</td><td>##cd7f32</td><td>205</td> <td>127</td> <td>50</td>
</tr> <tr><td style="border:1px solid #666; background:#dbdb70;width:4em;" /><td>goldenrod</td><td>goldenrod</td><td>##dbdb70</td><td>219</td> <td>219</td> <td>112</td>
</tr> <tr><td style="border:1px solid #666; background:#00ff00;width:4em;" /><td>green</td><td>green</td><td>##00ff00</td><td>0</td> <td>255</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#856363;width:4em;" /><td>greencopper</td><td>greencopper</td><td>##856363</td><td>133</td> <td>99</td> <td>99</td>
</tr> <tr><td style="border:1px solid #666; background:#d19275;width:4em;" /><td>greenyellow</td><td>greenyellow</td><td>##d19275</td><td>209</td> <td>146</td> <td>117</td>
</tr> <tr><td style="border:1px solid #666; background:#545454;width:4em;" /><td>grey</td><td>grey</td><td>##545454</td><td>84</td> <td>84</td> <td>84</td>
</tr> <tr><td style="border:1px solid #666; background:#8e2323;width:4em;" /><td>huntergreen</td><td>huntergreen</td><td>##8e2323</td><td>142</td> <td>35</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#f5ccb0;width:4em;" /><td>indianred</td><td>indianred</td><td>##f5ccb0</td><td>245</td> <td>204</td> <td>176</td>
</tr> <tr><td style="border:1px solid #666; background:#238e23;width:4em;" /><td>khaki</td><td>khaki</td><td>##238e23</td><td>35</td> <td>142</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#cd7f32;width:4em;" /><td>lightblue</td><td>lightblue</td><td>##cd7f32</td><td>205</td> <td>127</td> <td>50</td>
</tr> <tr><td style="border:1px solid #666; background:#dbdb70;width:4em;" /><td>lightgrey</td><td>lightgrey</td><td>##dbdb70</td><td>219</td> <td>219</td> <td>112</td>
</tr> <tr><td style="border:1px solid #666; background:#545454;width:4em;" /><td>lightsteelblue</td><td>lightsteelblue</td><td>##545454</td><td>84</td> <td>84</td> <td>84</td>
</tr> <tr><td style="border:1px solid #666; background:#856363;width:4em;" /><td>lightwood</td><td>lightwood</td><td>##856363</td><td>133</td> <td>99</td> <td>99</td>
</tr> <tr><td style="border:1px solid #666; background:#d19275;width:4em;" /><td>limegreen</td><td>limegreen</td><td>##d19275</td><td>209</td> <td>146</td> <td>117</td>
</tr> <tr><td style="border:1px solid #666; background:#ff00ff;width:4em;" /><td>magenta</td><td>magenta</td><td>##ff00ff</td><td>255</td> <td>0</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#8e2323;width:4em;" /><td>mandarianorange</td><td>mandarianorange</td><td>##8e2323</td><td>142</td> <td>35</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#f5ccb0;width:4em;" /><td>maroon</td><td>maroon</td><td>##f5ccb0</td><td>245</td> <td>204</td> <td>176</td>
</tr> <tr><td style="border:1px solid #666; background:#238e23;width:4em;" /><td>mediumaquamarine</td><td>mediumaquamarine</td><td>##238e23</td><td>35</td> <td>142</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#cd7f32;width:4em;" /><td>mediumblue</td><td>mediumblue</td><td>##cd7f32</td><td>205</td> <td>127</td> <td>50</td>
</tr> <tr><td style="border:1px solid #666; background:#dbdb70;width:4em;" /><td>mediumforestgreen</td><td>mediumforestgreen</td><td>##dbdb70</td><td>219</td> <td>219</td> <td>112</td>
</tr> <tr><td style="border:1px solid #666; background:#eaeaae;width:4em;" /><td>mediumgoldenrod</td><td>mediumgoldenrod</td><td>##eaeaae</td><td>234</td> <td>234</td> <td>174</td>
</tr> <tr><td style="border:1px solid #666; background:#9370db;width:4em;" /><td>mediumorchid</td><td>mediumorchid</td><td>##9370db</td><td>147</td> <td>112</td> <td>219</td>
</tr> <tr><td style="border:1px solid #666; background:#426f42;width:4em;" /><td>mediumseagreen</td><td>mediumseagreen</td><td>##426f42</td><td>66</td> <td>111</td> <td>66</td>
</tr> <tr><td style="border:1px solid #666; background:#7f00ff;width:4em;" /><td>mediumslateblue</td><td>mediumslateblue</td><td>##7f00ff</td><td>127</td> <td>0</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#7fff00;width:4em;" /><td>mediumspringgreen</td><td>mediumspringgreen</td><td>##7fff00</td><td>127</td> <td>255</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#70dbdb;width:4em;" /><td>mediumturquoise</td><td>mediumturquoise</td><td>##70dbdb</td><td>112</td> <td>219</td> <td>219</td>
</tr> <tr><td style="border:1px solid #666; background:#db7093;width:4em;" /><td>mediumvioletred</td><td>mediumvioletred</td><td>##db7093</td><td>219</td> <td>112</td> <td>147</td>
</tr> <tr><td style="border:1px solid #666; background:#a68064;width:4em;" /><td>mediumwood</td><td>mediumwood</td><td>##a68064</td><td>166</td> <td>128</td> <td>100</td>
</tr> <tr><td style="border:1px solid #666; background:#2f2f4f;width:4em;" /><td>midnightblue</td><td>midnightblue</td><td>##2f2f4f</td><td>47</td> <td>47</td> <td>79</td>
</tr> <tr><td style="border:1px solid #666; background:#23238e;width:4em;" /><td>navyblue</td><td>navyblue</td><td>##23238e</td><td>35</td> <td>35</td> <td>142</td>
</tr> <tr><td style="border:1px solid #666; background:#4d4dff;width:4em;" /><td>neonblue</td><td>neonblue</td><td>##4d4dff</td><td>77</td> <td>77</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#ff6ec7;width:4em;" /><td>neonpink</td><td>neonpink</td><td>##ff6ec7</td><td>255</td> <td>110</td> <td>199</td>
</tr> <tr><td style="border:1px solid #666; background:#00009c;width:4em;" /><td>newmidnightblue</td><td>newmidnightblue</td><td>##00009c</td><td>0</td> <td>0</td> <td>156</td>
</tr> <tr><td style="border:1px solid #666; background:#ebc79e;width:4em;" /><td>newtan</td><td>newtan</td><td>##ebc79e</td><td>235</td> <td>199</td> <td>158</td>
</tr> <tr><td style="border:1px solid #666; background:#cfb53b;width:4em;" /><td>oldgold</td><td>oldgold</td><td>##cfb53b</td><td>207</td> <td>181</td> <td>59</td>
</tr> <tr><td style="border:1px solid #666; background:#ff7f00;width:4em;" /><td>orange</td><td>orange</td><td>##ff7f00</td><td>255</td> <td>127</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#ff2400;width:4em;" /><td>orangered</td><td>orangered</td><td>##ff2400</td><td>255</td> <td>36</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#db70db;width:4em;" /><td>orchid</td><td>orchid</td><td>##db70db</td><td>219</td> <td>112</td> <td>219</td>
</tr> <tr><td style="border:1px solid #666; background:#8fbc8f;width:4em;" /><td>palegreen</td><td>palegreen</td><td>##8fbc8f</td><td>143</td> <td>188</td> <td>143</td>
</tr> <tr><td style="border:1px solid #666; background:#bc8f8f;width:4em;" /><td>pink</td><td>pink</td><td>##bc8f8f</td><td>188</td> <td>143</td> <td>143</td>
</tr> <tr><td style="border:1px solid #666; background:#eaadea;width:4em;" /><td>plum</td><td>plum</td><td>##eaadea</td><td>234</td> <td>173</td> <td>234</td>
</tr> <tr><td style="border:1px solid #666; background:#d9d9f3;width:4em;" /><td>quartz</td><td>quartz</td><td>##d9d9f3</td><td>217</td> <td>217</td> <td>243</td>
</tr> <tr><td style="border:1px solid #666; background:#ff0000;width:4em;" /><td>red</td><td>red</td><td>##ff0000</td><td>255</td> <td>0</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#5959ab;width:4em;" /><td>richblue</td><td>richblue</td><td>##5959ab</td><td>89</td> <td>89</td> <td>171</td>
</tr> <tr><td style="border:1px solid #666; background:#6f4242;width:4em;" /><td>salmon</td><td>salmon</td><td>##6f4242</td><td>111</td> <td>66</td> <td>66</td>
</tr> <tr><td style="border:1px solid #666; background:#8c1717;width:4em;" /><td>scarlet</td><td>scarlet</td><td>##8c1717</td><td>140</td> <td>23</td> <td>23</td>
</tr> <tr><td style="border:1px solid #666; background:#238e68;width:4em;" /><td>seagreen</td><td>seagreen</td><td>##238e68</td><td>35</td> <td>142</td> <td>104</td>
</tr> <tr><td style="border:1px solid #666; background:#6b4226;width:4em;" /><td>semi-sweetchocolate</td><td>semisweetchocolate</td><td>##6b4226</td><td>107</td> <td>66</td> <td>38</td>
</tr> <tr><td style="border:1px solid #666; background:#8e6b23;width:4em;" /><td>sienna</td><td>sienna</td><td>##8e6b23</td><td>142</td> <td>107</td> <td>35</td>
</tr> <tr><td style="border:1px solid #666; background:#e6e8fa;width:4em;" /><td>silver</td><td>silver</td><td>##e6e8fa</td><td>230</td> <td>232</td> <td>250</td>
</tr> <tr><td style="border:1px solid #666; background:#3299cc;width:4em;" /><td>skyblue</td><td>skyblue</td><td>##3299cc</td><td>50</td> <td>153</td> <td>204</td>
</tr> <tr><td style="border:1px solid #666; background:#007fff;width:4em;" /><td>slateblue</td><td>slateblue</td><td>##007fff</td><td>0</td> <td>127</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#ff1cae;width:4em;" /><td>spicypink</td><td>spicypink</td><td>##ff1cae</td><td>255</td> <td>28</td> <td>174</td>
</tr> <tr><td style="border:1px solid #666; background:#00ff7f;width:4em;" /><td>springgreen</td><td>springgreen</td><td>##00ff7f</td><td>0</td> <td>255</td> <td>127</td>
</tr> <tr><td style="border:1px solid #666; background:#236b8e;width:4em;" /><td>steelblue</td><td>steelblue</td><td>##236b8e</td><td>35</td> <td>107</td> <td>142</td>
</tr> <tr><td style="border:1px solid #666; background:#38b0de;width:4em;" /><td>summersky</td><td>summersky</td><td>##38b0de</td><td>56</td> <td>176</td> <td>222</td>
</tr> <tr><td style="border:1px solid #666; background:#db9370;width:4em;" /><td>tan</td><td>tan</td><td>##db9370</td><td>219</td> <td>147</td> <td>112</td>
</tr> <tr><td style="border:1px solid #666; background:#d8bfd8;width:4em;" /><td>thistle</td><td>thistle</td><td>##d8bfd8</td><td>216</td> <td>191</td> <td>216</td>
</tr> <tr><td style="border:1px solid #666; background:#adeaea;width:4em;" /><td>turquoise</td><td>turquoise</td><td>##adeaea</td><td>173</td> <td>234</td> <td>234</td>
</tr> <tr><td style="border:1px solid #666; background:#5c4033;width:4em;" /><td>verydarkbrown</td><td>verydarkbrown</td><td>##5c4033</td><td>92</td> <td>64</td> <td>51</td>
</tr> <tr><td style="border:1px solid #666; background:#cdcdcd;width:4em;" /><td>verylightgrey</td><td>verylightgrey</td><td>##cdcdcd</td><td>205</td> <td>205</td> <td>205</td>
</tr> <tr><td style="border:1px solid #666; background:#4f2f4f;width:4em;" /><td>violet</td><td>violet</td><td>##4f2f4f</td><td>79</td> <td>47</td> <td>79</td>
</tr> <tr><td style="border:1px solid #666; background:#cc3299;width:4em;" /><td>violetred</td><td>violetred</td><td>##cc3299</td><td>204</td> <td>50</td> <td>153</td>
</tr> <tr><td style="border:1px solid #666; background:#d8d8bf;width:4em;" /><td>wheat</td><td>wheat</td><td>##d8d8bf</td><td>216</td> <td>216</td> <td>191</td>
</tr> <tr><td style="border:1px solid #666; background:#ffffff;width:4em;" /><td>white</td><td>white</td><td>##ffffff</td><td>255</td> <td>255</td> <td>255</td>
</tr> <tr><td style="border:1px solid #666; background:#ffff00;width:4em;" /><td>yellow</td><td>yellow</td><td>##ffff00</td><td>255</td> <td>255</td> <td>0</td>
</tr> <tr><td style="border:1px solid #666; background:#99cc32;width:4em;" /><td>yellowgreen</td><td>yellowgreen</td><td>##99cc32</td><td>153</td> <td>204</td> <td>50</td>
</tr></table>

=end :html

=begin :man

=head1 COLORS

=over 4

=item aquamarine          aquamarine         #70db93

=item baker'schocolate    bakerschocolate    #5c3317

=item black               black              #000000

=item blue                blue               #0000ff

=item blueviolet          blueviolet         #9f5f9f

=item brass               brass              #b5a642

=item brightgold          brightgold         #d9d919

=item bronze              bronze             #8c7853

=item bronzeii            bronzeii           #a67d3d

=item brown               brown              #a62a2a

=item cadetblue           cadetblue          #5f9f9f

=item coolcopper          coolcopper         #d98719

=item copper              copper             #b87333

=item coral               coral              #ff7f00

=item cornflowerblue      cornflowerblue     #42426f

=item cyan                cyan               #00ffff

=item darkbrown           darkbrown          #5c4033

=item darkgreen           darkgreen          #2f4f2f

=item darkgreencopper     darkgreencopper    #4a766e

=item darkolivegreen      darkolivegreen     #4f4f2f

=item darkorchid          darkorchid         #9932cd

=item darkpurple          darkpurple         #871f78

=item darkslateblue       darkslateblue      #241882

=item darkslategrey       darkslategrey      #2f4f4f

=item darktan             darktan            #97694f

=item darkturquoise       darkturquoise      #7093db

=item darkwood            darkwood           #855e42

=item dimgrey             dimgrey            #545454

=item dustyrose           dustyrose          #856363

=item feldspar            feldspar           #d19275

=item firebrick           firebrick          #8e2323

=item flesh               flesh              #f5ccb0

=item forestgreen         forestgreen        #238e23

=item gold                gold               #cd7f32

=item goldenrod           goldenrod          #dbdb70

=item green               green              #00ff00

=item greencopper         greencopper        #856363

=item greenyellow         greenyellow        #d19275

=item grey                grey               #545454

=item huntergreen         huntergreen        #8e2323

=item indianred           indianred          #f5ccb0

=item khaki               khaki              #238e23

=item lightblue           lightblue          #cd7f32

=item lightgrey           lightgrey          #dbdb70

=item lightsteelblue      lightsteelblue     #545454

=item lightwood           lightwood          #856363

=item limegreen           limegreen          #d19275

=item magenta             magenta            #ff00ff

=item mandarianorange     mandarianorange    #8e2323

=item maroon              maroon             #f5ccb0

=item mediumaquamarine    mediumaquamarine   #238e23

=item mediumblue          mediumblue         #cd7f32

=item mediumforestgreen   mediumforestgreen  #dbdb70

=item mediumgoldenrod     mediumgoldenrod    #eaeaae

=item mediumorchid        mediumorchid       #9370db

=item mediumseagreen      mediumseagreen     #426f42

=item mediumslateblue     mediumslateblue    #7f00ff

=item mediumspringgreen   mediumspringgreen  #7fff00

=item mediumturquoise     mediumturquoise    #70dbdb

=item mediumvioletred     mediumvioletred    #db7093

=item mediumwood          mediumwood         #a68064

=item midnightblue        midnightblue       #2f2f4f

=item navyblue            navyblue           #23238e

=item neonblue            neonblue           #4d4dff

=item neonpink            neonpink           #ff6ec7

=item newmidnightblue     newmidnightblue    #00009c

=item newtan              newtan             #ebc79e

=item oldgold             oldgold            #cfb53b

=item orange              orange             #ff7f00

=item orangered           orangered          #ff2400

=item orchid              orchid             #db70db

=item palegreen           palegreen          #8fbc8f

=item pink                pink               #bc8f8f

=item plum                plum               #eaadea

=item quartz              quartz             #d9d9f3

=item red                 red                #ff0000

=item richblue            richblue           #5959ab

=item salmon              salmon             #6f4242

=item scarlet             scarlet            #8c1717

=item seagreen            seagreen           #238e68

=item semi-sweetchocolate semisweetchocolate #6b4226

=item sienna              sienna             #8e6b23

=item silver              silver             #e6e8fa

=item skyblue             skyblue            #3299cc

=item slateblue           slateblue          #007fff

=item spicypink           spicypink          #ff1cae

=item springgreen         springgreen        #00ff7f

=item steelblue           steelblue          #236b8e

=item summersky           summersky          #38b0de

=item tan                 tan                #db9370

=item thistle             thistle            #d8bfd8

=item turquoise           turquoise          #adeaea

=item verydarkbrown       verydarkbrown      #5c4033

=item verylightgrey       verylightgrey      #cdcdcd

=item violet              violet             #4f2f4f

=item violetred           violetred          #cc3299

=item wheat               wheat              #d8d8bf

=item white               white              #ffffff

=item yellow              yellow             #ffff00

=item yellowgreen         yellowgreen        #99cc32


=back

=end :man

=cut

sub _load_color_list() {
    return [
['netscape:aquamarine','aquamarine','aquamarine',[112,219,147],'70db93',7396243],
['netscape:bakerschocolate','bakerschocolate','baker\'schocolate',[92,51,23],'5c3317',6042391],
['netscape:black','black','black',[0,0,0],'000000',0],
['netscape:blue','blue','blue',[0,0,255],'0000ff',255],
['netscape:blueviolet','blueviolet','blueviolet',[159,95,159],'9f5f9f',10444703],
['netscape:brass','brass','brass',[181,166,66],'b5a642',11904578],
['netscape:brightgold','brightgold','brightgold',[217,217,25],'d9d919',14276889],
['netscape:bronze','bronze','bronze',[140,120,83],'8c7853',9205843],
['netscape:bronzeii','bronzeii','bronzeii',[166,125,61],'a67d3d',10911037],
['netscape:brown','brown','brown',[166,42,42],'a62a2a',10889770],
['netscape:cadetblue','cadetblue','cadetblue',[95,159,159],'5f9f9f',6266783],
['netscape:coolcopper','coolcopper','coolcopper',[217,135,25],'d98719',14255897],
['netscape:copper','copper','copper',[184,115,51],'b87333',12088115],
['netscape:coral','coral','coral',[255,127,0],'ff7f00',16744192],
['netscape:cornflowerblue','cornflowerblue','cornflowerblue',[66,66,111],'42426f',4342383],
['netscape:cyan','cyan','cyan',[0,255,255],'00ffff',65535],
['netscape:darkbrown','darkbrown','darkbrown',[92,64,51],'5c4033',6045747],
['netscape:darkgreen','darkgreen','darkgreen',[47,79,47],'2f4f2f',3100463],
['netscape:darkgreencopper','darkgreencopper','darkgreencopper',[74,118,110],'4a766e',4879982],
['netscape:darkolivegreen','darkolivegreen','darkolivegreen',[79,79,47],'4f4f2f',5197615],
['netscape:darkorchid','darkorchid','darkorchid',[153,50,205],'9932cd',10040013],
['netscape:darkpurple','darkpurple','darkpurple',[135,31,120],'871f78',8855416],
['netscape:darkslateblue','darkslateblue','darkslateblue',[36,24,130],'241882',2365570],
['netscape:darkslategrey','darkslategrey','darkslategrey',[47,79,79],'2f4f4f',3100495],
['netscape:darktan','darktan','darktan',[151,105,79],'97694f',9922895],
['netscape:darkturquoise','darkturquoise','darkturquoise',[112,147,219],'7093db',7377883],
['netscape:darkwood','darkwood','darkwood',[133,94,66],'855e42',8740418],
['netscape:dimgrey','dimgrey','dimgrey',[84,84,84],'545454',5526612],
['netscape:dustyrose','dustyrose','dustyrose',[133,99,99],'856363',8741731],
['netscape:feldspar','feldspar','feldspar',[209,146,117],'d19275',13734517],
['netscape:firebrick','firebrick','firebrick',[142,35,35],'8e2323',9315107],
['netscape:flesh','flesh','flesh',[245,204,176],'f5ccb0',16108720],
['netscape:forestgreen','forestgreen','forestgreen',[35,142,35],'238e23',2330147],
['netscape:gold','gold','gold',[205,127,50],'cd7f32',13467442],
['netscape:goldenrod','goldenrod','goldenrod',[219,219,112],'dbdb70',14408560],
['netscape:green','green','green',[0,255,0],'00ff00',65280],
['netscape:greencopper','greencopper','greencopper',[133,99,99],'856363',8741731],
['netscape:greenyellow','greenyellow','greenyellow',[209,146,117],'d19275',13734517],
['netscape:grey','grey','grey',[84,84,84],'545454',5526612],
['netscape:huntergreen','huntergreen','huntergreen',[142,35,35],'8e2323',9315107],
['netscape:indianred','indianred','indianred',[245,204,176],'f5ccb0',16108720],
['netscape:khaki','khaki','khaki',[35,142,35],'238e23',2330147],
['netscape:lightblue','lightblue','lightblue',[205,127,50],'cd7f32',13467442],
['netscape:lightgrey','lightgrey','lightgrey',[219,219,112],'dbdb70',14408560],
['netscape:lightsteelblue','lightsteelblue','lightsteelblue',[84,84,84],'545454',5526612],
['netscape:lightwood','lightwood','lightwood',[133,99,99],'856363',8741731],
['netscape:limegreen','limegreen','limegreen',[209,146,117],'d19275',13734517],
['netscape:magenta','magenta','magenta',[255,0,255],'ff00ff',16711935],
['netscape:mandarianorange','mandarianorange','mandarianorange',[142,35,35],'8e2323',9315107],
['netscape:maroon','maroon','maroon',[245,204,176],'f5ccb0',16108720],
['netscape:mediumaquamarine','mediumaquamarine','mediumaquamarine',[35,142,35],'238e23',2330147],
['netscape:mediumblue','mediumblue','mediumblue',[205,127,50],'cd7f32',13467442],
['netscape:mediumforestgreen','mediumforestgreen','mediumforestgreen',[219,219,112],'dbdb70',14408560],
['netscape:mediumgoldenrod','mediumgoldenrod','mediumgoldenrod',[234,234,174],'eaeaae',15395502],
['netscape:mediumorchid','mediumorchid','mediumorchid',[147,112,219],'9370db',9662683],
['netscape:mediumseagreen','mediumseagreen','mediumseagreen',[66,111,66],'426f42',4353858],
['netscape:mediumslateblue','mediumslateblue','mediumslateblue',[127,0,255],'7f00ff',8323327],
['netscape:mediumspringgreen','mediumspringgreen','mediumspringgreen',[127,255,0],'7fff00',8388352],
['netscape:mediumturquoise','mediumturquoise','mediumturquoise',[112,219,219],'70dbdb',7396315],
['netscape:mediumvioletred','mediumvioletred','mediumvioletred',[219,112,147],'db7093',14381203],
['netscape:mediumwood','mediumwood','mediumwood',[166,128,100],'a68064',10911844],
['netscape:midnightblue','midnightblue','midnightblue',[47,47,79],'2f2f4f',3092303],
['netscape:navyblue','navyblue','navyblue',[35,35,142],'23238e',2302862],
['netscape:neonblue','neonblue','neonblue',[77,77,255],'4d4dff',5066239],
['netscape:neonpink','neonpink','neonpink',[255,110,199],'ff6ec7',16740039],
['netscape:newmidnightblue','newmidnightblue','newmidnightblue',[0,0,156],'00009c',156],
['netscape:newtan','newtan','newtan',[235,199,158],'ebc79e',15452062],
['netscape:oldgold','oldgold','oldgold',[207,181,59],'cfb53b',13612347],
['netscape:orange','orange','orange',[255,127,0],'ff7f00',16744192],
['netscape:orangered','orangered','orangered',[255,36,0],'ff2400',16720896],
['netscape:orchid','orchid','orchid',[219,112,219],'db70db',14381275],
['netscape:palegreen','palegreen','palegreen',[143,188,143],'8fbc8f',9419919],
['netscape:pink','pink','pink',[188,143,143],'bc8f8f',12357519],
['netscape:plum','plum','plum',[234,173,234],'eaadea',15379946],
['netscape:quartz','quartz','quartz',[217,217,243],'d9d9f3',14277107],
['netscape:red','red','red',[255,0,0],'ff0000',16711680],
['netscape:richblue','richblue','richblue',[89,89,171],'5959ab',5855659],
['netscape:salmon','salmon','salmon',[111,66,66],'6f4242',7291458],
['netscape:scarlet','scarlet','scarlet',[140,23,23],'8c1717',9180951],
['netscape:seagreen','seagreen','seagreen',[35,142,104],'238e68',2330216],
['netscape:semisweetchocolate','semisweetchocolate','semi-sweetchocolate',[107,66,38],'6b4226',7029286],
['netscape:sienna','sienna','sienna',[142,107,35],'8e6b23',9333539],
['netscape:silver','silver','silver',[230,232,250],'e6e8fa',15132922],
['netscape:skyblue','skyblue','skyblue',[50,153,204],'3299cc',3316172],
['netscape:slateblue','slateblue','slateblue',[0,127,255],'007fff',32767],
['netscape:spicypink','spicypink','spicypink',[255,28,174],'ff1cae',16719022],
['netscape:springgreen','springgreen','springgreen',[0,255,127],'00ff7f',65407],
['netscape:steelblue','steelblue','steelblue',[35,107,142],'236b8e',2321294],
['netscape:summersky','summersky','summersky',[56,176,222],'38b0de',3715294],
['netscape:tan','tan','tan',[219,147,112],'db9370',14390128],
['netscape:thistle','thistle','thistle',[216,191,216],'d8bfd8',14204888],
['netscape:turquoise','turquoise','turquoise',[173,234,234],'adeaea',11397866],
['netscape:verydarkbrown','verydarkbrown','verydarkbrown',[92,64,51],'5c4033',6045747],
['netscape:verylightgrey','verylightgrey','verylightgrey',[205,205,205],'cdcdcd',13487565],
['netscape:violet','violet','violet',[79,47,79],'4f2f4f',5189455],
['netscape:violetred','violetred','violetred',[204,50,153],'cc3299',13382297],
['netscape:wheat','wheat','wheat',[216,216,191],'d8d8bf',14211263],
['netscape:white','white','white',[255,255,255],'ffffff',16777215],
['netscape:yellow','yellow','yellow',[255,255,0],'ffff00',16776960],
['netscape:yellowgreen','yellowgreen','yellowgreen',[153,204,50],'99cc32',10079282]
    ];
}

sub _description {
    return {
          'subtitle' => 'Colors recognized by Netscape',
          'title' => 'Netscape',
          'description' => '"Netscape Color Names with their Color Values"

[http://www.timestream.com/mmedia/graphics/colors/ns3names.txt]
'
        }

}

1;
